## robocode
Class _AdvancedRadiansRobot

    java.lang.Object
      robocode._RobotBase
          robocode._Robot
              robocode.Robot
                  robocode._AdvancedRobot
                      robocode._AdvancedRadiansRobot

All Implemented Interfaces:
  Runnable, IBasicEvents, IBasicEvents2, IBasicEvents3, IBasicRobot, IInteractiveEvents, IInteractiveRobot, IPaintEvents, IPaintRobot

Direct Known Subclasses:
  AdvancedRobot

    public class _AdvancedRadiansRobot

extends _AdvancedRobot

This class is used by the system as a placeholder for all *Radians calls in `AdvancedRobot`. You may refer to this class for documentation only.

You should create a `AdvancedRobot` instead.

(The Radians methods themselves will continue work, however).

Author:
  Mathew A. Nelson (original), Flemming N. Larsen (contributor), Pavel Savara (contributor)
See Also:
  `Robot`, `JuniorRobot`, `AdvancedRobot`, `TeamRobot`, `RateControlRobot`

Field Summary

Fields inherited from class robocode._RobotBase
`out`

Method Summary
`double` `getGunHeadingRadians()`
`double` `getGunTurnRemainingRadians()`
`double` `getHeadingRadians()`
`double` `getRadarHeadingRadians()`
`double` `getRadarTurnRemainingRadians()`
`double` `getTurnRemainingRadians()`
`void` `setTurnGunLeftRadians(double radians)`
`void` `setTurnGunRightRadians(double radians)`
`void` `setTurnLeftRadians(double radians)`
`void` `setTurnRadarLeftRadians(double radians)`
`void` `setTurnRadarRightRadians(double radians)`
`void` `setTurnRightRadians(double radians)`
`void` `turnGunLeftRadians(double radians)`
`void` `turnGunRightRadians(double radians)`
`void` `turnLeftRadians(double radians)`
`void` `turnRadarLeftRadians(double radians)`
`void` `turnRadarRightRadians(double radians)`
`void` `turnRightRadians(double radians)`

Methods inherited from class robocode._AdvancedRobot
`endTurn, getGunHeadingDegrees, getHeadingDegrees, getMaxWaitCount, getRadarHeadingDegrees, getWaitCount, setTurnGunLeftDegrees, setTurnGunRightDegrees, setTurnLeftDegrees, setTurnRadarLeftDegrees, setTurnRadarRightDegrees, setTurnRightDegrees, turnGunLeftDegrees, turnGunRightDegrees, turnLeftDegrees, turnRadarLeftDegrees, turnRadarRightDegrees, turnRightDegrees`

Methods inherited from class robocode.Robot

`ahead, back, doNothing, fire, fireBullet, getBasicEventListener, getBattleFieldHeight, getBattleFieldWidth, getEnergy, getGraphics, getGunCoolingRate, getGunHeading, getGunHeat, getHeading, getHeight, getInteractiveEventListener, getName, getNumRounds, getOthers, getPaintEventListener, getRadarHeading, getRobotRunnable, getRoundNum, getTime, getVelocity, getWidth, getX, getY, onBattleEnded, onBulletHit, onBulletHitBullet, onBulletMissed, onDeath, onHitByBullet, onHitRobot, onHitWall, onKeyPressed, onKeyReleased, onKeyTyped, onMouseClicked, onMouseDragged, onMouseEntered, onMouseExited, onMouseMoved, onMousePressed, onMouseReleased, onMouseWheelMoved, onPaint, onRobotDeath, onRoundEnded, onScannedRobot, onStatus, onWin, resume, run, scan, setAdjustGunForRobotTurn, setAdjustRadarForGunTurn, setAdjustRadarForRobotTurn, setAllColors, setBodyColor, setBulletColor, setColors, setColors, setDebugProperty, setGunColor, setRadarColor, setScanColor, stop, stop, turnGunLeft, turnGunRight, turnLeft, turnRadarLeft, turnRadarRight, turnRight`

Methods inherited from class robocode._Robot
`getBattleNum, getGunCharge, getGunImageName, getLife, getNumBattles, getRadarImageName, getRobotImageName, setGunImageName, setInterruptible, setRadarImageName, setRobotImageName`

Methods inherited from class robocode._RobotBase
`finalize, setOut, setPeer`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface robocode.robotinterfaces.IBasicRobot
`setOut, setPeer`

Method Detail

### getHeadingRadians

    public double getHeadingRadians()

### setTurnLeftRadians

    public void setTurnLeftRadians(double radians)

### setTurnRightRadians

    public void setTurnRightRadians(double radians)

### turnLeftRadians

    public void turnLeftRadians(double radians)

### turnRightRadians

    public void turnRightRadians(double radians)

### getGunHeadingRadians

    public double getGunHeadingRadians()

### getRadarHeadingRadians

    public double getRadarHeadingRadians()

### setTurnGunLeftRadians

    public void setTurnGunLeftRadians(double radians)

### setTurnGunRightRadians

    public void setTurnGunRightRadians(double radians)

### setTurnRadarLeftRadians

    public void setTurnRadarLeftRadians(double radians)

### setTurnRadarRightRadians

    public void setTurnRadarRightRadians(double radians)

### turnGunLeftRadians

    public void turnGunLeftRadians(double radians)

### turnGunRightRadians

    public void turnGunRightRadians(double radians)

### turnRadarLeftRadians

    public void turnRadarLeftRadians(double radians)

### turnRadarRightRadians

    public void turnRadarRightRadians(double radians)

### getGunTurnRemainingRadians

    public double getGunTurnRemainingRadians()

### getRadarTurnRemainingRadians

    public double getRadarTurnRemainingRadians()

### getTurnRemainingRadians

    public double getTurnRemainingRadians()

Copyright © 2013 Robocode. All Rights Reserved.